org.apache.ignite.internal.processors.cache

## Enum GridCacheAdapter.BulkOperation

- java.lang.Object
- - java.lang.Enum<GridCacheAdapter.BulkOperation>
  - - org.apache.ignite.internal.processors.cache.GridCacheAdapter.BulkOperation

All Implemented Interfaces:
  Serializable, Comparable<GridCacheAdapter.BulkOperation>

Enclosing class:
  GridCacheAdapter<K,V>

    protected static enum GridCacheAdapter.BulkOperation
    extends Enum<GridCacheAdapter.BulkOperation>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`GET`
`INVOKE`
`PUT`
`REMOVE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `canBlockTx(TransactionConcurrency concurrency, TransactionIsolation isolation)`
`String` `title()`
`static GridCacheAdapter.BulkOperation` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GridCacheAdapter.BulkOperation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### GET

    public static final GridCacheAdapter.BulkOperation GET

#### PUT

    public static final GridCacheAdapter.BulkOperation PUT

#### INVOKE

    public static final GridCacheAdapter.BulkOperation INVOKE

#### REMOVE

    public static final GridCacheAdapter.BulkOperation REMOVE

### Method Detail

#### values

    public static GridCacheAdapter.BulkOperation[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GridCacheAdapter.BulkOperation c : GridCacheAdapter.BulkOperation.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GridCacheAdapter.BulkOperation valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### title

    public String title()

#### canBlockTx

    public boolean canBlockTx(TransactionConcurrency concurrency,
                              TransactionIsolation isolation)

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022